View Issue Details

IDProjectCategoryView StatusLast Update
0000310WackoWikicorepublic2011-05-31 21:24
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000310: log events into a system journal
Descriptionlog event into the system journal. $message may use wiki
syntax, however if used before locale resources registration,
will be saved in plain text only.
$level denotes event priority with 1 = highest.
event classes are:
    1. critical - admin action, object deletion, suspected hacking attempt
    2. highest - locking, acl change, unsuccessful user login
    3. high - page renaming/moving/splitting/merging, user password change/reminder, successful user login
    4. medium - page creation (settings change), poll action, file upload, pm sending, user registration and email activation, page ownership claim
    5. low - comment posting, user logout
    6. lowest - page edit, user settings update
    7. debugging - everything, where logging is necessary
Steps To Reproduceconfig table settings

  * log_purge_time
      o Remove event log over a given number of days.
  * maint_last_log
      o timestamp of last maintainance -> purge
  * log_default_show
      o The minimum priority events displayed in the log by default in the admin panel
  * log_level
      o The minimum priority of the events recorded in the log

Additional Informationbackported from SATtva's fork
http://wackowiki.org/Dev/NewFeatures/LogEvents
TagsNo tags attached.

Relationships

related to 0000230 resolvedadministrator Administrative Interface 

Activities

administrator

2009-07-11 22:54

administrator   ~0000666

Last edited: 2010-08-07 16:55

View 2 revisions

guess my translated English log messages are crap

administrator

2010-08-07 15:29

administrator   ~0000772

Last edited: 2010-08-07 16:36

View 5 revisions

log messages should use the config default language in the GetTranslation function else we got mixed language log messages

e.g.
$engine->Log(1, $engine->GetTranslation('LogAdminLogout', $engine->config['language']));

Issue History

Date Modified Username Field Change
2009-07-09 10:06 administrator New Issue
2009-07-09 10:07 administrator Summary log event into the system journal => log events into a system journal
2009-07-09 10:13 administrator Description Updated View Revisions
2009-07-11 22:54 administrator Note Added: 0000666
2009-07-12 13:15 administrator Relationship added related to 0000230
2009-07-13 00:40 administrator Additional Information Updated View Revisions
2010-03-08 10:12 administrator Category Core => core
2010-08-07 15:29 administrator Note Added: 0000772
2010-08-07 15:29 administrator Note Edited: 0000772 View Revisions
2010-08-07 15:53 administrator Note Edited: 0000772 View Revisions
2010-08-07 16:35 administrator Note Edited: 0000772 View Revisions
2010-08-07 16:36 administrator Note Edited: 0000772 View Revisions
2010-08-07 16:55 administrator Note Edited: 0000666 View Revisions
2010-08-07 17:31 administrator Steps to Reproduce Updated View Revisions
2010-08-07 17:32 administrator Status assigned => resolved
2010-08-07 17:32 administrator Resolution open => fixed
2010-08-07 17:32 administrator Fixed in Version => 5.0.beta
2010-08-07 17:32 administrator Target Version 5.0.0 => 5.0.beta
2011-05-31 21:24 administrator Build => R5.0.beta